Bug 828433 - OSError: [Errno 2] No such file or directory: '/mnt/sysimage/var/cache/yum/x86_64/17/anaconda-0'
OSError: [Errno 2] No such file or directory: '/mnt/sysimage/var/cache/yum/x8...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:b22d3dfa490f51b07bea6b07cbf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 13:59 EDT by peter
Modified: 2012-09-12 11:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 11:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-gQXp4l (407.75 KB, text/plain)
2012-06-04 13:59 EDT, peter
no flags Details

  None (edit)
Description peter 2012-06-04 13:59:11 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-gQXp4l
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Mon 04 Jun 2012 07:57:36 PM CEST
version:        17

anaconda-tb-gQXp4l: Text file, 417539 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 795, in _getFile
:    dirstat = os.statvfs(os.path.dirname(local))
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1021, in _getFileRepoXML
:    size=102400) # setting max size as 100K
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1243, in _commonLoadRepoXML
:    result = self._getFileRepoXML(local, text)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1428, in _groupLoadRepoXML
:    if self._commonLoadRepoXML(text):
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1453, in _loadRepoXML
:    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1462, in _getRepoXML
:    self._loadRepoXML(text=self)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1466, in <lambda>
:    repoXML = property(fget=lambda self: self._getRepoXML(),
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1272, in _check_db_version
:    repoXML = self.repoXML
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 225, in _check_db_version
:    return repo._check_db_version(mdtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 167, in populate
:    if self._check_db_version(repo, mydbtype):
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 730, in doSackSetup
:    return self._getSacks(archlist=archlist, thisrepo=thisrepo)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 1303, in <lambda>
:    self.__withFuncDo(anaconda, lambda r: self.ayum.doSackSetup(thisrepo=r.id),
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 1328, in __withFuncDo
:    fn(repo)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 1305, in doSackSetup
:    callback=SackSetupProgress(anaconda.intf))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 1269, in doBackendSetup
:    self.doSackSetup(anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 192, in doBackendSetup
:    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 88, in return_false
:    func(*args, **kwargs)
:OSError: [Errno 2] No such file or directory: '/mnt/sysimage/var/cache/yum/x86_64/17/anaconda-0'

environ:
:LANG=en_US.UTF-8
:repo=hd::/var/cache/yum/preupgrade
:TERM=linux
:XAUTHORITY=/root/.Xauthority
:LC_NUMERIC=C
:SHLVL=0
:PYTHONPATH=/tmp/updates
:LVM_SUPPRESS_FD_WARNINGS=1
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:GNOME_DISABLE_CRASH_DIALOG=1
:ks=hd:UUID=851feea7-d20d-4ffe-b351-2f158cb8a960:/boot/upgrade/ks.cfg
:PWD=/
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:stage2=hd:UUID=851feea7-d20d-4ffe-b351-2f158cb8a960:/boot/upgrade/squashfs.img
:MALLOC_CHECK_=2
:DISPLAY=:1
Comment 1 peter 2012-06-04 13:59:18 EDT
Created attachment 589231 [details]
File: anaconda-tb-gQXp4l
Comment 2 Chris Lumens 2012-09-12 11:49:14 EDT
This should be fixed for F18.  If you continue to see this problem, feel free to reopen the bug with new data.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.